Bug 169150 - audit : freeing multiple contexts
audit : freeing multiple contexts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 180745 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 13:33 EDT by Andre Robatino
Modified: 2015-01-04 17:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 07:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2005-09-23 13:33:24 EDT
Description of problem:
  On shutdown, the messages

Sep 22 19:48:06 localhost kernel: audit(:0): major=252 name_count=0: freeing
multiple contexts (1)
Sep 22 19:48:06 localhost kernel: audit(:0): major=113 name_count=0: freeing
multiple contexts (2)

appear in /var/log/messages.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1456_FC4

How reproducible:
always

Additional info:
  All FC4 updates up to and including Sep. 22 applied.
Comment 1 Dave Jones 2005-09-30 02:50:34 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Andre Robatino 2005-09-30 13:22:38 EDT
No change with kernel-2.6.13-1.1526_FC4. 
Comment 3 Andre Robatino 2005-10-20 22:19:19 EDT
  No change with kernel-2.6.13-1.1532_FC4.
Comment 4 Orion Poplawski 2005-10-26 11:27:02 EDT
Perhaps this is really a bug with the X server as that is what is triggering the
messages?  I see this on a couple of machines, and the new logwatch singles it
out for "could mean a bug" treatment.
Comment 5 Dave Jones 2005-11-10 14:57:42 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Paul F. Johnson 2005-11-12 11:41:56 EST
The problem is also in rawhide (using the 1660_FC5 kernel from the 11th Nov). I
am only getting it on my laptop though which uses the i865 chipset - it doesn't
happen (from what I can see) on my main box which uses a GF4 card.
Comment 7 Doncho N. Gunchev 2005-11-14 14:50:50 EST
I have the same messages even with compiled by hand kernel for my laptop      
(almost stock 2.6.14 + udev-071...). I was getting them with    
2.6.13-1.1528_FC4.jwltest.* also (I need DSDT fix to get battery status    
working). My notebook is ACER 3002NLC with SiS chipset (SiS 761 Video). I    
also don't get this wit GF4 on my other PC. 
Comment 8 Orion Poplawski 2005-12-01 11:10:11 EST
Still seeing with 2.6.14-1.1637_FC4
Comment 9 Andre Robatino 2005-12-01 11:29:25 EST
  Also with 2.6.14-1.1644_FC4.
Comment 10 Paul F. Johnson 2005-12-21 12:04:05 EST
Looks fine with 2.6.14-1.1772_FC5 - I think this can be closed now.
Comment 11 Dave Jones 2005-12-23 22:13:43 EST
if its fixed in fc5, that means it should also be fixed in the work-in-progress
kernel at http://people.redhat.com/davej/kernels/Fedora/FC4
Comment 12 Dave Jones 2006-02-03 02:07:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 Paul F. Johnson 2006-02-03 03:14:06 EST
Current kernels are working fine on both x86 and x86_64 at this end. Close it.
Comment 14 Steve Grubb 2006-02-03 09:54:02 EST
This bug still exists. There was a patch posted last week to address the
problem. It is here:
https://www.redhat.com/archives/linux-audit/2006-January/msg00092.html

This will take a little time to get upstream so that it lands in a rebased kernel.
Comment 15 Dave Jones 2006-02-03 14:12:42 EST
Steve, I think that got merged already.


(14:16:38:davej:linux-2.6.15)$ cat ../../linux-2.6-audit-vm86.patch | patch -p1
--dry-run
patching file kernel/auditsc.c
Reversed (or previously applied) patch detected!  Assume -R? [n] n
Apply anyway? [n] n
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file kernel/auditsc.c.rej
patching file arch/i386/kernel/vm86.c
Hunk #1 FAILED at 42.
Hunk #3 FAILED at 306.
2 out of 3 hunks FAILED -- saving rejects to file arch/i386/kernel/vm86.c.rej
Comment 16 Steve Grubb 2006-02-13 14:02:38 EST
*** Bug 180745 has been marked as a duplicate of this bug. ***
Comment 17 Jim Cornette 2006-02-14 06:55:15 EST
Joining in from bug 180745 because of a message to system and confused about
audit message.
No later messages to system regarding the cryptic (to me) error.
Comment 18 Orion Poplawski 2006-04-07 13:19:13 EDT
I'm still seeing this on 2.6.16-1.2069_FC4
Comment 19 Steve Grubb 2006-04-07 13:25:18 EDT
In reply to comment #18, what are you seeing? Can you paste it into the bug
report? 2.6.16 should have the patch. Also, what arch is your kernel? Thanks.
Comment 20 Orion Poplawski 2006-04-07 13:31:12 EDT
Apr  7 08:15:46 calliope kernel: audit(:0): major=252 name_count=0: freeing
multiple contexts (1)
Apr  7 08:15:46 calliope kernel: audit(:0): major=113 name_count=0: freeing
multiple contexts (2)

Arch is i686.

Occurs at shutdown.
Comment 21 Orion Poplawski 2006-04-11 15:25:48 EDT
Seeing on at least 4 different systems.
Comment 22 David Enloe 2006-04-12 10:09:32 EDT
Now running OS Kernel: Linux version 2.6.16-1.2069_FC4 i686

After applying all the latest updates available via yum on Monday, 2006-04-10
and rebooting my system, my X desktop locked up on reboot.  The following audit
errors were new in the message log:

Apr 10 09:27:34 sikozu kernel: audit(:0): major=252 name_count=0: freeing
multiple contexts (1)
Apr 10 09:27:34 sikozu kernel: audit(:0): major=113 name_count=0: freeing
multiple contexts (2)

After a bit of digging I learned there was a regression in the i810 drivers.  I
moved back from the xorg-x11-6.8.2-37.FC4.49.2 to the xorg-x11-6.8.2-37.FC4.45
level.  I no longer see the audit errors and some of my X-windows issues have
cleared up.  I still cannot get Xinerama to work and switching from a VT to
X-Windows blanks the screen, but the audit errors are gone.

As others have speculated, I think this problem as reported by the original
opener is caused by xorg-x11 issues.
Comment 23 David Enloe 2006-04-12 10:57:01 EDT
I did more digging this morning on my X problems.   The reason the "freeing
multiple contexts" messages no longer show up in my /var/log/messages is because
I set init 3 while troubleshooting.   I can get them to display to the screen
every time I run 'system-config-display'.
Comment 24 Orion Poplawski 2006-04-25 11:39:16 EDT
Any more information I can provide to try to fix this?
Comment 25 Dave Jones 2006-09-16 22:45:16 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 26 Steve Grubb 2006-09-17 07:51:03 EDT
This bug should have been fixed in 2.6.17 kernel. I think it can be closed.

Note You need to log in before you can comment on or make changes to this bug.